checks:
  artifacts_sync:
    type: command
    stage: promote
    # artifact-cache is a CLI script installed into the
    # /usr/lib/airflow conda environment via the
    # data-engineering/workflow_utils python library.
    # It uses artifact config files in the airflow-dags
    # repository to sync artifacts from their source locations
    # to defined caches (mainly HDFS).
    command: /usr/local/bin/kerberos-run-command analytics-product /usr/lib/airflow/bin/artifact-cache warm /srv/deployment/airflow-dags/analytics_product/wmf_airflow_common/config/artifact_config.yaml /srv/deployment/airflow-dags/analytics_product/analytics_product/config/artifacts.yaml
    timeout: 300 # default is 30 seconds
